Gift Cards

Gift Cards

Get a single type of gift card (language-dependent)

Get information about a single type of gift card by ID.

Specify language via Accept-Language header.

get
https://api.migros.ch/migros/customers/payment-methods/v1/giftcards/{id}

Query Parameters

langstring

Defines the language (de/fr/it/en) for this request as query parameter. Either use the query param “lang” or header “Accept-Language”, not both.

Allowed values:defriten

Default:de

Path Parameters

idstringrequired

Gift card ID

Headers

Accept-Languagestring

Defines the language (de/fr/it/en) for this request as request header. Either use the query param “lang” or header “Accept-Language”, not both.

Allowed values:defriten

Default:de

Response

200 application/json

Returned when successful

GiftCard

Represents a gift card in the API.

classificationsarray[object]

Represents a gift card classification.

Show Child Parameters
digitalboolean

Is this a digital gift card or not.

disclaimerstring | null

Terms and conditions.

hintstring | null
idstringrequired

ID of the gift card.

imageOne Of
Imageobject

An image and its properties.

Show Child Parameters
namestringrequired
get/migros/customers/payment-methods/v1/giftcards/{id}
 
200 application/json

Returns status information about the specified personal gift card.

Returns status information about the specified personal gift card.

get
https://api.migros.ch/migros/customers/payment-methods/v1/personal-giftcards/{person_id}/cards/{card_id}

Query Parameters

pinstringrequired

Gift Card Pin. Required for security reasons, even though not mandatory by gift card SOAP service.

POS_IDstring

Gift Card POS Protocol Specification Version 1.5.0.

<= 16 characters

TERMINAL_IDstring

Gift Card POS Protocol Specification Version 1.5.0.

<= 16 characters

STORE_IDstring

Store Number/Merchant number.

<= 16 characters

SELLER_NAMEstring

The name of the sales person.

<= 32 characters

POS_TIMESTAMPstring(date-time)

Local transaction date from POS.

POS_TRANS_IDstring

Transaction ID from POS.

<= 16 characters

langstring

Defines the language (de/fr/it/en) for this request as query parameter. Either use the query param “lang” or header “Accept-Language”, not both.

Allowed values:defriten

Default:de

Path Parameters

person_idstringrequired

Customer’s person ID.

card_idstringrequired

Gift Card Id

Headers

Accept-Languagestring

Defines the language (de/fr/it/en) for this request as request header. Either use the query param “lang” or header “Accept-Language”, not both.

Allowed values:defriten

Default:de

Response

Returned when successful

get/migros/customers/payment-methods/v1/personal-giftcards/{person_id}/cards/{card_id}
 

Virtualizes the specified gift card which must be already active.

This registers the information that this gift card is used on an electronic system into the gift card server.
This call fetches the gift card to check if it really is already active, then creates a transaction for the gift card,
and sends a fake activation call to the gift card server. This activation is expected to fail (as the card is already active)
but will be logged on the gift card server side so that people know that this card is associated with a mobile device.

post
https://api.migros.ch/migros/customers/payment-methods/v1/personal-giftcards/{person_id}/cards/{card_id}/virtualize

Query Parameters

pinstringrequired

Gift Card Pin. Required for security reasons, even though not mandatory by gift card SOAP service.

POS_IDstring

Gift Card POS Protocol Specification Version 1.5.0.

<= 16 characters

TERMINAL_IDstring

Gift Card POS Protocol Specification Version 1.5.0.

<= 16 characters

STORE_IDstring

Store Number/Merchant number.

<= 16 characters

SELLER_NAMEstring

The name of the sales person.

<= 16 characters

POS_TIMESTAMPstring(date-time)

Local transaction date from POS.

POS_TRANS_IDstring

Transaction ID from POS.

<= 16 characters

Path Parameters

person_idstringrequired

Customer’s person ID.

card_idstringrequired

Gift Card ID to activate.

Response

Returned when successful

post/migros/customers/payment-methods/v1/personal-giftcards/{person_id}/cards/{card_id}/virtualize
 

Creates a new gift card with the specified profile.

Each user may only have one single electronic gift card. If the user already has a gift card, this call just returns that card, but without the CARD_PIN information.

This call checks if mgo provides a stored digital card for the current user. If so, that card is returned,
otherwise a new card is created with the gift card server, the card id converted to a product id (with the 2of5 checksum)
and stored in mgo for later use. The pin is not stored on any server and thus only sent once for a new card.
There is no recovery process for lost pins because the gift card server does not provide one.
The app has to make sure the user creates backups of the pin for his virtual card.

post
https://api.migros.ch/migros/customers/payment-methods/v1/personal-giftcards/{person_id}/profiles/{profile}

Query Parameters

TERMINAL_IDstring

Gift Card POS Protocol Specification Version 1.5.0.

<= 16 characters

STORE_IDstring

Store Number/Merchant number.

<= 16 characters

SELLER_NAMEstring

The name of the sales person.

<= 32 characters

POS_TIMESTAMPstring(date-time)

Local transaction date from POS.

POS_TRANS_IDstring

Transaction ID from POS.

<= 16 characters

Path Parameters

person_idstringrequired

Customer’s person ID.

profilestringrequired

Profile of the card to create.

Response

Returned when successful

post/migros/customers/payment-methods/v1/personal-giftcards/{person_id}/profiles/{profile}